topgenes {DEDS} | R Documentation

## Table of Top Genes from DEDS

### Description

`topgenes` prints a table of top-ranked genes by `DEDS`.

### Usage

    topgenes(obj, number = 10, genelist = NULL, sort.by = c("deds", colnames(obj$stats[,-1])), tail = c("abs", "lower", "higher"))

### Arguments

`obj` | An object of `DEDS`
`number` | A numeric variable specifying the number of top genes to be printed out.
`genelist` | A dataframe or a vector containing gene names.
`sort.by` | A character string specifying the name of the statistic to sort genes by. The default uses the DEDS result, the user can also choose from the names of the statistics (or unadjusted p values) that DEDS is used to summarize.
`tail` | A character string specifying the type of rejection region. If `side="abs"`, two-tailed tests, genes are ranked by their absolute values. If `side="higher"`, one-tailed tests, genes are ranked decreasingly. If `side="lower"`, one-tailed tests, genes are ranked increasingly.

### Details

The function `topgenes` accepts a `DEDS` object as the first argument. The `DEDS` class is a simple list-based class to store DEDS results. The list contains a "stat" component, which stores statistics or unadjusted p-values from various statistical tests. The function `topgenes.DEDS` extracts the "stat" component and prints out the top genes according to the user defined criterion – usually by DEDS or by a single statistical measure that DEDS summarizes.

### Value

A dataframe with rows for selected genes, and columns for the "stat" matrix and q- or adjusted p-values from DEDS.

### Author(s)

Yuanyuan Xiao, yxiao@itsa.ucsf.edu,
Jean Yee Hwa Yang, jean@biostat.ucsf.edu.

### See Also

`deds.stat.linkC`, `deds.pval`

### Examples

    X <- matrix(rnorm(1000,0,0.5), nc=10)
    L <- rep(0:1,c(5,5))

    # genes 1-10 are differentially expressed
    X[1:10,6:10]<-X[1:10,6:10]+1
    # DEDS summarizing t, fc and sam
    d <- deds.stat.linkC(X, L, B=200)

    # top table, ranked by DEDS
    topgenes(d)
    # top table, ranked by t
    topgenes(d, sort.by="t")

[Package DEDS version 1.6.0 Index]